package com.xhkjedu.smarking.controller.scan;

import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import com.xhkjedu.smarking.service.scan.MsScanbatchPaperService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Description 批阅扫描试卷表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/mscanp")
public class MsScanbatchPaperController {
    @Resource
    private MsScanbatchPaperService msScanbatchPaperService;




    /*
     * @Description 扫描记录-查看原卷
     * @Date 2024/10/25 17:24:18
     * @Author WN
     * @Param [msScanbatchPaper]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/paper")
    public ResultVo getScanPaper(@RequestBody MsScanbatchPaper msScanbatchPaper) {
        Integer mspid = msScanbatchPaper.getMspid();
        N_Utils.validation(new Object[]{mspid, "扫描试卷id", 1});
        Map<String, Object> map = msScanbatchPaperService.getScanPaperQuestion(mspid);
        return new ResultVo(0, "获取成功", map);
    }

}
