package com.xhkjedu.smarking.mapper.scan;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlock;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷扫描客试卷题块表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsScanbatchPaperBlockMapper extends TkMapper<MsScanbatchPaperBlock> {

    //扫描记录-查看原卷-客观题
    List<Map<String,Object>> listObjectiveQuestions(@Param("mspid")Integer mspid);

    //扫描记录-查看原卷-主观题
    List<Map<String,Object>> listSubjectiveQuestions(@Param("mspid")Integer mspid);
}
